var Value = GetInputConstructorValue("Value", loader);
if(Value["original"].length <= 0){
	Invalid(tr("Url") + " " + tr("is empty"));
	return;
};
var File = GetInputConstructorValue("File", loader);
if(File["original"].length <= 0){
	Invalid(tr("File Path") + " " + tr("is empty"));
	return;
};
var Timeout = GetInputConstructorValue("Timeout", loader);
if(Timeout["original"].length == 0){
	Invalid(tr("Timeout") + " " + tr("is empty"));
    return;
};
var MaximumFailes = GetInputConstructorValue("MaximumFailes", loader);
if(MaximumFailes["original"].length == 0){
	Invalid(tr("Maximum failures") + " " + tr("is empty"));
    return;
};
var Headers = GetInputConstructorValue("Headers", loader);
var TLSVersion = GetInputConstructorValue("TLSVersion", loader);

try{
	var code = loader.GetAdditionalData() + _.template($("#nativeHttpClient_Download_code").html())({
		Value: Value["updated"],
		File: File["updated"],
		Timeout: Timeout["updated"],
		MaximumFailes: MaximumFailes["updated"],
		TLSVersion: TLSVersion["updated"],
		Headers: Headers["updated"]
	})
	code = Normalize(code, 0)
	BrowserAutomationStudio_Append("", BrowserAutomationStudio_SaveControls() + code, action, DisableIfAdd);
}catch(e){}